Bug 1013190 - Launchy's config files are scattered around in home dir
Launchy's config files are scattered around in home dir
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: launchy (Show other bugs)
22
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Lukas Zapletal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-28 03:50 EDT by Mansour Behabadi
Modified: 2016-07-19 16:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:03:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix the bug (1.38 KB, text/plain)
2013-09-28 03:50 EDT, Mansour Behabadi
no flags Details

  None (edit)
Description Mansour Behabadi 2013-09-28 03:50:51 EDT
Created attachment 804321 [details]
patch to fix the bug

Description of problem:

The standard place to store config files are in dot-files under a user's home directory. However, launchy stores them in home directory itself, making a mess. 

Version-Release number of selected component (if applicable): 2.5-8.fc20


How reproducible: always


Steps to Reproduce:
1. Install launchy
2. Run launchy, make searches, change options
3. Close launchy
4. Look under your home directory

Actual results: You'll see launchy.* files created by the app


Expected results: They should reside in ~/.launchy


Additional info:

I have attached a patch that fixes the bug. I am also reporting this upstream.
Comment 1 Jaroslav Reznik 2015-03-03 10:06:42 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 2 Fedora End Of Life 2016-07-19 16:03:16 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.